Автор Тема: Проблема авторизации пользователей и администраторов в магазине  (Прочитано 1377 раз)

25 Мая 2013, 11:22:50
  • Новичок
  • *
  • Сообщений: 5
  • Репутация: +0/-0
  • Сообщество PrestaShop
    • Просмотр профиля
Сайт www.all4wall.kz
Работает больше года. Все было замечательно до тех пор пока хостер не решил обновить версию php с 5.2 на 5.3.3
Сайт продолжат работать, но при любом способе авторизации - front или back и при новой регистрации выдается одна и та же ошибка - Неверный адрес e-mail. Похоже что при проверке адреса возникает ошибка и преста просто не проходит проверку этой части и поэтому не дает залогониться. Скопировал сайт на локальный комп. Запустил с помощью денвер (php 5.3.13)/ Все работает замечательно. Пользователи логонятся, в админку входит. Уже больше двух недель общаюсь с тех поддержкой, но никакого сдвига. Говорят, что у них в логах никаких ошибок не выдает и им не удается локализовать проблему. Откатиться к предыдущей версии они не могут. Да я думаю это и не поможет. Судя по всему проблема в настройках php. Возможно при передаче e-mail в модулях престы происходит баг и судя по всему проблема в php. Но в чем именно я так понять и не могу. Я скопировал установки php у хостера (взял их с phpinfo на сайте) и сделал такие же на локалке. У меня все-равно все работает.
Уже на знаю что делать. Может я что-то упустил? Есть какие-нибудь идеи?
25 Мая 2013, 13:28:45
Ответ #1
  • Модератор
  • Ветеран
  • *****
  • Сообщений: 86054
  • Репутация: +25403/-0
  • Сообщество PrestaShop
    • Просмотр профиля
Обновить Prestashop до последней версии пробывали?
25 Мая 2013, 13:41:20
Ответ #2
  • Новичок
  • *
  • Сообщений: 5
  • Репутация: +0/-0
  • Сообщество PrestaShop
    • Просмотр профиля
Я пробовал на локальной версии. При этом плывет тема сайта, а переделывать его не хочется. Плюс есть несколько дополнительных покупных модулей и пара написанных специально для сайта. Не хочется еще и с ними проблемы заиметь. Да и не думаю что обновление поможет.
25 Мая 2013, 13:48:26
Ответ #3
  • Модератор
  • Ветеран
  • *****
  • Сообщений: 86054
  • Репутация: +25403/-0
  • Сообщество PrestaShop
    • Просмотр профиля
Обновление файлов ядра системы проблему уберет. Но если используются какие-то дополнительный модули, написанные для prestashop 1.4, то с версией 1.5 возможны проблемы. Да и тема под prestashop 1.5 отличается от темы prestashop 1.4.
Prestashop 1.4 / 1.5  работает на php 5.3 без проблем. Это для php 5.2 нужно было менять некоторые файлы.
Включать показ ошибок и режим отладки пробывали?
25 Мая 2013, 20:49:41
Ответ #4
  • Новичок
  • *
  • Сообщений: 5
  • Репутация: +0/-0
  • Сообщество PrestaShop
    • Просмотр профиля
Вот и я о том же. Поэтому переход на 1.5 пока не рассматриваю. да и нет гарантии что заработает.
А как включить "показ ошибок и режим отладки"? В админку преста на хосте вообще войти не могу. Если это настройки php, подскажите какие это переменные в ini файле или какие значения в базе данных нужно поменять чтобы включить режим отладки.
Кстати, в качестве отладки, как сделать, чтобы вместе с ошибкой она бы выдавала значение переменной e-mail, полученной при авторизации. Я не силен в php и presta на столько чтобы легко найти модуль, печатающий эту ошибку и добавить соответствующий код. Сможете помочь?
26 Мая 2013, 13:07:45
Ответ #5
  • Администратор
  • Ветеран
  • *****
  • Сообщений: 102467
  • Репутация: +34217/-0
    • Просмотр профиля
26 Мая 2013, 18:25:26
Ответ #6
  • Новичок
  • *
  • Сообщений: 5
  • Репутация: +0/-0
  • Сообщество PrestaShop
    • Просмотр профиля
Я попробовал. Никаких ошибок не нашел. Вернее лог файлы не создаются. Либо я их не вижу.
Возможно ли что настройки php, которые делает преста, не меняются, т.к. у скрипта нет прав на изменение настроек?
26 Мая 2013, 21:53:13
Ответ #7
  • Ветеран
  • *****
  • Сообщений: 20843
  • Репутация: +25277/-0
  • Prestashop - просто и эффективно
    • Просмотр профиля
Возможно хостинг не разрешает менять глобальные правила для php.
 
Эксперт Prestashop - решения всех проблем, написание модулей, создание тем для интернет-магазинов под Prestashop.
Эксперт Magento - создам сайт на Magento, программирование кастомных модулей для Magento, кастомизация тем Magento.
Лучшие цены!!!
03 Июня 2013, 19:00:56
Ответ #8
  • Новичок
  • *
  • Сообщений: 5
  • Репутация: +0/-0
  • Сообщество PrestaShop
    • Просмотр профиля
Решение найдено.
Я был на правильном путь. Проблема с валидацией e-mail.
в файле classes/Validate.php для проверки e-mail использовалась функция preg_match в php 5.3 она работает по другому чем в 5.2.
Поэтому для проверки e-mail добавил в файл стандартную функцию php для проверки e-mail
   filter_var($email, FILTER_VALIDATE_EMAIL);
сейчас регистрация работает